<?php
function getSpeKey($tab, $lang, $spell_name) {
	foreach ($tab as $tabLang) {
		foreach ($tabLang['spe'] as $key => $spe) {
			if ($spe == $spell_name) {
				return($key);
			}
		}
	}
	return(false);
}

function searchSpe($tabSpe) {
	global $roster_conf, $wowdb;
	$querySpe = "SELECT b.name, a.spell_name FROM " . ROSTER_SPELLTABLE . " as a, " . ROSTER_MEMBERSTABLE . " as b WHERE a.member_id=b.member_id AND (";
	$first = true;
	foreach ($tabSpe as $langTab) {
		if (!$first) {
			$querySpe .= " OR";
		}
		$querySpe .= " spell_name LIKE '" . $langTab['search'] . "'";
		$first = false;
	}
	$querySpe .= ")";
	$result = $wowdb->query($querySpe) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
	if ($roster_conf['sqldebug'])
	{
		print ("<!--$querySpe-->");
	}

	$speList = array();
	while ($row = $wowdb->fetch_array($result)) {
		$ret = getSpeKey($tabSpe, $roster_conf['roster_lang'], $row['spell_name']);
		if ($ret !== false) {
			$speList[$ret][] = $row['name'];
		}
	}
	return($speList);
}
?>